package nl.iobyte.themeparkconnector.api.event.objects;

import nl.iobyte.themeparkconnector.api.operator.objects.AttractionOperator;

public class OperatorEvent<T> extends ChangeEvent<T> {

    private final AttractionOperator operator;

    public OperatorEvent(AttractionOperator operator, T old, T current) {
        super(old, current);
        this.operator = operator;
    }

    public AttractionOperator getOperator() {
        return operator;
    }

}
