package nl.iobyte.themeparkconnector.commands.subcommands.operator;

import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themeparkconnector.api.load.objects.OperatorDataLoader;
import nl.iobyte.themeparkconnector.api.message.Text;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import java.util.List;

public class OperatorReloadCommand extends SubCommand {

    public OperatorReloadCommand()  {
        super("themeparkconnector.admin", "operator", "reload");

        addSyntax("/themeparkconnector operator reload");
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        sender.sendMessage(Text.color("&6&lThemeParkConnectorMC &f➢ &6Attempting to load ride operators"));
        new OperatorDataLoader().load();
    }

}
